//
// Porting and modifications made by Rayzzor Studios, 2011
//

/***************************************************************************** 
* Free42 -- an HP-42S calculator simulator 
* Copyright (C) 2004-2010 Thomas Okken 
* 
* This program is free software; you can redistribute it and/or modify 
* it under the terms of the GNU General Public License, version 2, 
* as published by the Free Software Foundation. 
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
* GNU General Public License for more details. 
* 
* You should have received a copy of the GNU General Public License 
* along with this program; if not, see http://www.gnu.org/licenses/. 
*****************************************************************************/

namespace WP7_42s
{
    public static class GlobalMembersMathFudge
    {
        public static bool isnan(double x)
        {
	        return false;
        }


        public static int isinf(double x)
        {
	        if (double.IsPositiveInfinity(x))
		        return 1;
	        else if (double.IsNegativeInfinity(x))
		        return -1;
	        else
		        return 0;
        }

        public static int finite(double x)
        {
            return (!double.IsPositiveInfinity(x) && !double.IsNegativeInfinity(x)) ? 1 : 0;
        }
    }
}
